EDIT - feature request #7150

feature request # 7149 (Closed): Collection Editor implemented

GrantedAuthorities & PermissionVoter for Cdm Collection type
12/22/2017 11:00 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

TODO:

¢ |Implement PermissionVoter

¢ Add COLLECTION to CdmPermissionClass

e The Authority COLLECTION[CREATE,READ,UPDATE,DELETE] would need to be added to the PermissionGroup Editor in
order to allow all users to modify Collections as usual, but this seems to be a bad idea on the long term. But for now there it is
actually the most practical solution to not to over complicate the permission management at the moment. Therefore is suggest
to add another default PermssionGroup which will replace the Group Editor in future, we call this new Group

EditorExtendedCreate to emphasizte the kind of changes in this group compared to the Group Editor
o .7

Related issues:
Related to EDIT - feature request #6867: explicitely assign and revoke UPDAT... Closed

Associated revisions

Revision 57178b7f - 12/22/2017 03:57 PM - Andreas Kohlbecker

ref #7150 implementing CollectionVoter and adding new default PermissionGroup 'EditorExtendedCreate’

Revision 72141255 - 12/22/2017 04:07 PM - Andreas Kohlbecker
fix #7150 fixing per entity granting of authorities for CollectionEditor

History

#1 - 12/22/2017 11:00 AM - Andreas Kohlbecker
- Related to feature request #6867: explicitely assign and revoke UPDATE & DELETE permission per enitity in the registration workflow added

#2 - 12/22/2017 11:01 AM - Andreas Kohlbecker
- Parent task set to #7149

#3 - 12/22/2017 11:01 AM - Andreas Kohlbecker
- Priority changed from New to Priority14

#4 - 12/22/2017 12:41 PM - Andreas Kohlbecker

- Tracker changed from bug to feature request

#5 - 12/22/2017 12:45 PM - Andreas Kohlbecker

- Description updated

#6 - 12/22/2017 01:03 PM - Andreas Kohlbecker

- Description updated

#7 - 12/22/2017 01:04 PM - Andreas Kohlbecker

- Description updated
#8 - 12/22/2017 04:07 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|72141255300f274a193cc84bca8eca764e2c5816.

#9 - 12/22/2017 04:14 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- % Done changed from 50 to 100

#10 - 01/18/2018 03:05 PM - Andreas Miiller

Bit strange there is an open TODO list. Are these issues handled or are they moved?

#11 - 01/18/2018 03:09 PM - Andreas Kohlbecker

since this issue is closed and completed to 100% one should assume that the TODOs are all done.

#12 - 01/18/2018 03:13 PM - Andreas Miiller

true. Sorry | mixed it up with "open issues"
